/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.materialproject.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.materialproject.entity.MaterialProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@MyBatisMapper
public interface MaterialProjectMapper extends BaseMapper<MaterialProject> {
    List<MaterialProject> findBatch();
    List<MaterialProject> findByList(@Param("list") List<MaterialProject> list);

    Integer insertList(@Param("list") List<MaterialProject> list);

    Integer replaceList(@Param("list") List<MaterialProject> list);
}